Opened 10 years ago

Closed 9 years ago

Last modified 9 years ago

#3948 closed Bug (fixed)

Crash with command-option-w

Reported by: livings124 Owned by: livings124
Priority: Normal Milestone: 2.50
Component: Mac Client Version: 2.13
Severity: Normal Keywords:
Cc:

Description

As described in https://forum.transmissionbt.com/viewtopic.php?f=4&t=11186, using command-option-w with multiple windows (including the main window, it seems) causes a crash.

Attachments (2)

close_all.patch (379 bytes) - added by dim-an 9 years ago.
close_all_even_add_window.patch (1.4 KB) - added by dim-an 9 years ago.

Download all attachments as: .zip

Change History (26)

comment:1 Changed 10 years ago by dethbunny

What's odd is I don't see it with one or two windows open, but can reproduce every time when there are three. When I ran Zombies on it, it crashed with the stats panel.


Thought fStatsWindowInstance was being over-released, but that is apparently just one of the windows that can be affected.

Last edited 10 years ago by dethbunny (previous) (diff)

comment:2 Changed 10 years ago by x190

For me it can handle up to 4 windows without crashing. Since my CRs are slightly different I'm including them here.

Process:         Transmission [288]
Path:            /Applications/Transmission.app/Contents/MacOS/Transmission
Identifier:      org.m0k.transmission
Version:         2.20b1 (11744)
Code Type:       X86-64 (Native)
Parent Process:  launchd [108]

Date/Time:       2011-01-27 20:19:37.349 -0700
OS Version:      Mac OS X 10.6.6 (10J567)
Report Version:  6

Interval Since Last Report:          774970 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  202576 sec
Per-App Crashes Since Last Report:   1
Anonymous UUID:                      E1C1A99F-5B19-46AC-B085-C7F584D3BC74

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x000000000000001d
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Application Specific Information:
objc_msgSend() selector name: _bindingAdaptor


Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libobjc.A.dylib               	0x00007fff84a3211c objc_msgSend + 40
1   com.apple.AppKit              	0x00007fff86b5f873 -[NSWindow _close] + 229
2   com.apple.AppKit              	0x00007fff86f84ee3 -[NSWindow _batchClose] + 60
3   com.apple.AppKit              	0x00007fff869b2760 -[NSApplication makeWindowsPerform:inOrder:] + 173
4   com.apple.AppKit              	0x00007fff86b0ae9a -[NSApplication sendAction:to:from:] + 95
5   com.apple.AppKit              	0x00007fff86b2f41e -[NSMenuItem _corePerformAction] + 365
6   com.apple.AppKit              	0x00007fff86b2f188 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 121
7   com.apple.AppKit              	0x00007fff86b14e09 -[NSMenu performKeyEquivalent:] + 272
8   com.apple.AppKit              	0x00007fff86b13bb1 -[NSApplication _handleKeyEquivalent:] + 559
9   com.apple.AppKit              	0x00007fff869e4645 -[NSApplication sendEvent:] + 3630
10  com.apple.AppKit              	0x00007fff8697b4da -[NSApplication run] + 474
11  com.apple.AppKit              	0x00007fff869741a8 NSApplicationMain + 364
12  org.m0k.transmission          	0x0000000100001c91 main + 145 (main.m:37)
13  org.m0k.transmission          	0x0000000100001bd4 start + 52

Thread 1:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x00007fff8001d16a kevent + 10
1   libSystem.B.dylib             	0x00007fff8001f03d _dispatch_mgr_invoke + 154
2   libSystem.B.dylib             	0x00007fff8001ed14 _dispatch_queue_invoke + 185
3   libSystem.B.dylib             	0x00007fff8001e83e _dispatch_worker_thread2 + 252
4   libSystem.B.dylib             	0x00007fff8001e168 _pthread_wqthread + 353
5   libSystem.B.dylib             	0x00007fff8001e005 start_wqthread + 13

Thread 2:
0   libSystem.B.dylib             	0x00007fff8003efca __semwait_signal + 10
1   libSystem.B.dylib             	0x00007fff8003ee59 nanosleep + 148
2   org.m0k.transmission          	0x000000010009b6c2 tr_wait_msec + 162
3   org.m0k.transmission          	0x00000001000e8dcf tr_verifyRemove + 143
4   org.m0k.transmission          	0x00000001000b4c98 stopTorrent + 152
5   org.m0k.transmission          	0x00000001000b4ed9 closeTorrent + 249
6   org.m0k.transmission          	0x00000001000b5037 removeTorrent + 71
7   org.m0k.transmission          	0x00000001000cd522 readFromPipe + 370
8   org.m0k.transmission          	0x0000000100120451 event_persist_closure + 625
9   org.m0k.transmission          	0x000000010011fed7 event_process_active_single_queue + 295
10  org.m0k.transmission          	0x000000010011ca92 event_process_active + 130
11  org.m0k.transmission          	0x000000010011bd32 event_base_loop + 674
12  org.m0k.transmission          	0x000000010011ba8a event_base_dispatch + 26
13  org.m0k.transmission          	0x00000001000cd05f libeventThreadFunc + 255
14  org.m0k.transmission          	0x00000001000ba77d ThreadFunc + 45
15  libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
16  libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 3:
0   libSystem.B.dylib             	0x00007fff80047e92 select$DARWIN_EXTSN + 10
1   org.m0k.transmission          	0x00000001000ed7d3 tr_select + 51
2   org.m0k.transmission          	0x00000001000ecc6c tr_webThreadFunc + 780
3   org.m0k.transmission          	0x00000001000ba77d ThreadFunc + 45
4   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
5   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 4:
0   libSystem.B.dylib             	0x00007fff8001d16a kevent + 10
1   org.m0k.transmission          	0x000000010005c3b9 -[UKKQueue watcherThread:] + 201 (UKKQueue.m:350)
2   com.apple.Foundation          	0x00007fff858140a5 __NSThread__main__ + 1429
3   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
4   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 5:
0   libSystem.B.dylib             	0x00007fff800042da mach_msg_trap + 10
1   libSystem.B.dylib             	0x00007fff8000494d mach_msg + 59
2   com.apple.CoreFoundation      	0x00007fff829f3932 __CFRunLoopRun + 1698
3   com.apple.CoreFoundation      	0x00007fff829f2dbf CFRunLoopRunSpecific + 575
4   com.apple.Foundation          	0x00007fff8589307f +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 297
5   com.apple.Foundation          	0x00007fff858140a5 __NSThread__main__ + 1429
6   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
7   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 6:  com.apple.CFSocket.private
0   libSystem.B.dylib             	0x00007fff80047e92 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x00007fff82a15498 __CFSocketManager + 824
2   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
3   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 7:
0   libSystem.B.dylib             	0x00007fff8004604a pread + 10
1   org.m0k.transmission          	0x00000001000c04cb tr_pread + 43
2   org.m0k.transmission          	0x00000001000e92ee verifyTorrent + 1022
3   org.m0k.transmission          	0x00000001000e8c96 verifyThreadFunc + 294
4   org.m0k.transmission          	0x00000001000ba77d ThreadFunc + 45
5   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
6   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 8:
0   libSystem.B.dylib             	0x00007fff8003efca __semwait_signal + 10
1   libSystem.B.dylib             	0x00007fff8003ee59 nanosleep + 148
2   libSystem.B.dylib             	0x00007fff8003edc3 usleep + 57
3   com.apple.AppKit              	0x00007fff86b01361 -[NSUIHeartBeat _heartBeatThread:] + 1540
4   com.apple.Foundation          	0x00007fff858140a5 __NSThread__main__ + 1429
5   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
6   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 9:
0   libSystem.B.dylib             	0x00007fff8001df8a __workq_kernreturn + 10
1   libSystem.B.dylib             	0x00007fff8001e39c _pthread_wqthread + 917
2   libSystem.B.dylib             	0x00007fff8001e005 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x00000001133bf930  rcx: 0x00007fff7000c630  rdx: 0x00000000001f8100
  rdi: 0x00000001133bf930  rsi: 0x00007fff870b78d8  rbp: 0x00007fff5fbff470  rsp: 0x00007fff5fbff448
   r8: 0x0000000000000001   r9: 0x00000001019ba010  r10: 0x0000000101959640  r11: 0x000000000000000d
  r12: 0x0000000000000005  r13: 0x0000000000000000  r14: 0x00007fff5fbff4a0  r15: 0x00007fff870e2e74
  rip: 0x00007fff84a3211c  rfl: 0x0000000000010206  cr2: 0x000000000000001d

Binary Images:
       0x100000000 -        0x10018fff7 +org.m0k.transmission 2.20b1 (11744) <EE2F61B5-AF77-57E7-1ED5-54349E235256> /Applications/Transmission.app/Contents/MacOS/Transmission
       0x100254000 -        0x10033afe7  libcrypto.0.9.7.dylib 0.9.7 (compatibility 0.9.7) <26FC56A6-EFD6-22FA-E1F1-4E1BA61C85BB> /usr/lib/libcrypto.0.9.7.dylib
       0x100392000 -        0x1003a9fff +org.andymatuschak.Sparkle 1.5 Beta (bzr) (337) <8BE62C95-BF56-8320-646F-385AC5F1D513> /Applications/Transmission.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
       0x1003c3000 -        0x1003cfff7 +com.growl.growlframework 1.2.1 (1.2.1) <40462CEC-EE57-4FAD-A138-221D365DC5E4> /Applications/Transmission.app/Contents/Frameworks/Growl.framework/Versions/A/Growl
       0x11308d000 -        0x113091fff  com.apple.audio.AudioIPCPlugIn 1.1.6 (1.1.6) <F99C2FBC-103D-DB2D-8D53-CFB8CEFA90F8> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
       0x113721000 -        0x113727fff  com.apple.audio.AppleHDAHALPlugIn 1.9.9 (1.9.9f12) <933CA4C6-F428-0E2E-DCBE-FA0284914092> /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
       0x116800000 -        0x1168cbff7  com.apple.audio.units.Components 1.6.3 (1.6.3) <3D101AF0-8F81-1BEC-A85E-EA688D71BB83> /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
    0x7fff5fc00000 -     0x7fff5fc3bdef  dyld 132.1 (???) <B536F2F1-9DF1-3B6C-1C2C-9075EA219A06> /usr/lib/dyld
    0x7fff80003000 -     0x7fff801c4fff  libSystem.B.dylib 125.2.1 (compatibility 1.0.0) <71E6D4C9-F945-6EC2-998C-D61AD590DAB6> /usr/lib/libSystem.B.dylib
    0x7fff8026d000 -     0x7fff8096a06f  com.apple.CoreGraphics 1.545.0 (???) <356D59D6-1DD1-8BFF-F9B3-1CE51D2F1EC7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff8096b000 -     0x7fff809a7fe7  libcurl.4.dylib 6.1.0 (compatibility 6.0.0) <1E041185-131C-C237-C250-38BE933A269A> /usr/lib/libcurl.4.dylib
    0x7fff809aa000 -     0x7fff8161dfef  com.apple.WebCore 6533.19 (6533.19.4) <214A0165-E3D0-1F7A-F2D5-5337E00E410A> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
    0x7fff8161e000 -     0x7fff816dffe7  libFontParser.dylib ??? (???) <8B12D37E-3A95-5A73-509C-3AA991E0C546> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff816e0000 -     0x7fff81770fff  com.apple.SearchKit 1.3.0 (1.3.0) <4175DC31-1506-228A-08FD-C704AC9DF642> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff81776000 -     0x7fff81aaafff  com.apple.CoreServices.CarbonCore 861.23 (861.23) <08F360FA-1771-4F0B-F356-BEF68BB9D421> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff81ab7000 -     0x7fff81b00fef  libGLU.dylib ??? (???) <CCE779A9-2467-A5AA-A558-691E43A1105F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
  ...
    0x7fff88f22000 -     0x7fff88f63fff  com.apple.SystemConfiguration 1.10.5 (1.10.2) <FB39F09C-57BB-D8CC-348D-93E00C602F7D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff88f64000 -     0x7fff88fd0ff7  com.apple.CorePDF 1.3 (1.3) <6770FFB0-DEA0-61E0-3520-4B95CCF5D1CF> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fff8901a000 -     0x7fff89020ff7  com.apple.DiskArbitration 2.3 (2.3) <857F6E43-1EF4-7D53-351B-10DE0A8F992A> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff89021000 -     0x7fff89190fe7  com.apple.QTKit 7.6.6 (1756) <250AB242-816D-9F5D-94FB-18BF2AE9AAE7> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fffffe00000 -     0x7fffffe01fff  libSystem.B.dylib ??? (???) <71E6D4C9-F945-6EC2-998C-D61AD590DAB6> /usr/lib/libSystem.B.dylib

Model: iMac6,1, BootROM IM61.0093.B07, 2 processors, Intel Core 2 Duo, 2.16 GHz, 2 GB, SMC 1.10f3
Graphics: NVIDIA GeForce 7600 GT, NVIDIA GeForce 7600 GT, PCIe, 256 MB
Memory Module: global_name
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x87), Broadcom BCM43xx 1.0 (5.10.131.36.1)
Bluetooth: Version 2.3.8f7, 2 service, 19 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Serial ATA Device: ST3250824AS  Q, 232.89 GB
Parallel ATA Device: MATSHITADVD-R   UJ-85J
USB Device: Built-in iSight, 0x05ac  (Apple Inc.), 0x8501, 0xfd400000
USB Device: Bluetooth USB Host Controller, 0x05ac  (Apple Inc.), 0x8206, 0x7d100000
USB Device: IR Receiver, 0x05ac  (Apple Inc.), 0x8240, 0x7d200000

Process:         Transmission [419]
Path:            /Applications/Transmission.app/Contents/MacOS/Transmission
Identifier:      org.m0k.transmission
Version:         2.20b1 (11744)
Code Type:       X86-64 (Native)
Parent Process:  launchd [108]

Date/Time:       2011-01-27 20:41:08.733 -0700
OS Version:      Mac OS X 10.6.6 (10J567)
Report Version:  6

Interval Since Last Report:          776256 sec
Crashes Since Last Report:           4
Per-App Interval Since Last Report:  203324 sec
Per-App Crashes Since Last Report:   4
Anonymous UUID:                      E1C1A99F-5B19-46AC-B085-C7F584D3BC74

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: 0x000000000000000d, 0x0000000000000000
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Application Specific Information:
objc_msgSend() selector name: close


Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libobjc.A.dylib               	0x00007fff84a32120 objc_msgSend + 44
1   com.apple.AppKit              	0x00007fff86f84ee3 -[NSWindow _batchClose] + 60
2   com.apple.AppKit              	0x00007fff869b2760 -[NSApplication makeWindowsPerform:inOrder:] + 173
3   com.apple.AppKit              	0x00007fff86b0ae9a -[NSApplication sendAction:to:from:] + 95
4   com.apple.AppKit              	0x00007fff86b2f41e -[NSMenuItem _corePerformAction] + 365
5   com.apple.AppKit              	0x00007fff86b2f188 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 121
6   com.apple.AppKit              	0x00007fff86b14e09 -[NSMenu performKeyEquivalent:] + 272
7   com.apple.AppKit              	0x00007fff86b13bb1 -[NSApplication _handleKeyEquivalent:] + 559
8   com.apple.AppKit              	0x00007fff869e4645 -[NSApplication sendEvent:] + 3630
9   com.apple.AppKit              	0x00007fff8697b4da -[NSApplication run] + 474
10  com.apple.AppKit              	0x00007fff869741a8 NSApplicationMain + 364
11  org.m0k.transmission          	0x0000000100001c91 main + 145 (main.m:37)
12  org.m0k.transmission          	0x0000000100001bd4 start + 52

Thread 1:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x00007fff8001d16a kevent + 10
1   libSystem.B.dylib             	0x00007fff8001f03d _dispatch_mgr_invoke + 154
2   libSystem.B.dylib             	0x00007fff8001ed14 _dispatch_queue_invoke + 185
3   libSystem.B.dylib             	0x00007fff8001e83e _dispatch_worker_thread2 + 252
4   libSystem.B.dylib             	0x00007fff8001e168 _pthread_wqthread + 353
5   libSystem.B.dylib             	0x00007fff8001e005 start_wqthread + 13

Thread 2:
0   libSystem.B.dylib             	0x00007fff8003efca __semwait_signal + 10
1   libSystem.B.dylib             	0x00007fff8003ee59 nanosleep + 148
2   org.m0k.transmission          	0x000000010009b6c2 tr_wait_msec + 162
3   org.m0k.transmission          	0x00000001000e8dcf tr_verifyRemove + 143
4   org.m0k.transmission          	0x00000001000b4c98 stopTorrent + 152
5   org.m0k.transmission          	0x00000001000b4ed9 closeTorrent + 249
6   org.m0k.transmission          	0x00000001000b5037 removeTorrent + 71
7   org.m0k.transmission          	0x00000001000cd522 readFromPipe + 370
8   org.m0k.transmission          	0x0000000100120451 event_persist_closure + 625
9   org.m0k.transmission          	0x000000010011fed7 event_process_active_single_queue + 295
10  org.m0k.transmission          	0x000000010011ca92 event_process_active + 130
11  org.m0k.transmission          	0x000000010011bd32 event_base_loop + 674
12  org.m0k.transmission          	0x000000010011ba8a event_base_dispatch + 26
13  org.m0k.transmission          	0x00000001000cd05f libeventThreadFunc + 255
14  org.m0k.transmission          	0x00000001000ba77d ThreadFunc + 45
15  libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
16  libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 3:
0   libSystem.B.dylib             	0x00007fff80047e92 select$DARWIN_EXTSN + 10
1   org.m0k.transmission          	0x00000001000ed7d3 tr_select + 51
2   org.m0k.transmission          	0x00000001000ecc6c tr_webThreadFunc + 780
3   org.m0k.transmission          	0x00000001000ba77d ThreadFunc + 45
4   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
5   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 4:
0   libSystem.B.dylib             	0x00007fff8001d16a kevent + 10
1   org.m0k.transmission          	0x000000010005c3b9 -[UKKQueue watcherThread:] + 201 (UKKQueue.m:350)
2   com.apple.Foundation          	0x00007fff858140a5 __NSThread__main__ + 1429
3   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
4   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 5:
0   libSystem.B.dylib             	0x00007fff8003efca __semwait_signal + 10
1   libSystem.B.dylib             	0x00007fff8003ee59 nanosleep + 148
2   libSystem.B.dylib             	0x00007fff8003edc3 usleep + 57
3   com.apple.AppKit              	0x00007fff86b01361 -[NSUIHeartBeat _heartBeatThread:] + 1540
4   com.apple.Foundation          	0x00007fff858140a5 __NSThread__main__ + 1429
5   libSystem.B.dylib             	0x00007fff8003d536 _pthread_start + 331
6   libSystem.B.dylib             	0x00007fff8003d3e9 thread_start + 13

Thread 6:

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000001  rbx: 0x00000001019cdf60  rcx: 0x00007fff7000c630  rdx: 0x00000000000fc080
  rdi: 0x00000001019cdf60  rsi: 0x00007fff870b9638  rbp: 0x00007fff5fbff4a0  rsp: 0x00007fff5fbff488
   r8: 0xff70c52ee800007f   r9: 0x00000001005d39d0  r10: 0x00000001005cf1d0  r11: 0x00007fff70bd0065
  r12: 0x0000000000000002  r13: 0x000000010190ae90  r14: 0x00007fff5fbff4b0  r15: 0x00007fff870e2e74
  rip: 0x00007fff84a32120  rfl: 0x0000000000010206  cr2: 0x0000000031087000


comment:3 follow-up: Changed 10 years ago by dethbunny

It really feels like a window (or perhaps more) is getting released when it shouldn't. But I'm leaning toward an array problem.

comment:4 in reply to: ↑ 3 ; follow-up: Changed 10 years ago by x190

Replying to dethbunny:

It really feels like a window (or perhaps more) is getting released when it shouldn't. But I'm leaning toward an array problem.

For me it only crashes in AddWindow? with SL 10.6.6, so my bets are on AddWindowController?.m. Add windows are a special case since they expect a cancel or add signal not close window so close window would have to trigger the cancel signal and most likely if multiple add windows are involved fTimer might be needed.

comment:5 in reply to: ↑ 4 ; follow-up: Changed 10 years ago by dethbunny

Replying to x190:

For me it only crashes in AddWindow? with SL 10.6.6,

Try opening the three normal windows and then close all. (e.g. Cmd-1, Cmd-2, Cmd-3, Opt-Cmd-w) and I think you'll see the same crash I am.

comment:6 in reply to: ↑ 5 ; follow-up: Changed 10 years ago by x190

Replying to dethbunny:

Replying to x190:

For me it only crashes in AddWindow? with SL 10.6.6,

Try opening the three normal windows and then close all. (e.g. Cmd-1, Cmd-2, Cmd-3, Opt-Cmd-w) and I think you'll see the same crash I am.

Nope. 1,2,3 plus Inspector is no problem. 1,3, plus Inspector plus 1 AddWindow? also no problem. Add 2 to that last scenario and it crashes in "objc_msgSend() selector name: _bindingAdaptor". With multiple add windows it crashes in "objc_msgSend() selector name: close".

comment:7 in reply to: ↑ 6 Changed 10 years ago by x190

Replying to x190:

Replying to dethbunny:

Replying to x190:

For me it only crashes in AddWindow? with SL 10.6.6,

Try opening the three normal windows and then close all. (e.g. Cmd-1, Cmd-2, Cmd-3, Opt-Cmd-w) and I think you'll see the same crash I am.

Nope. 1,2,3 plus Inspector is no problem. 1,3, plus Inspector plus 1 AddWindow? also no problem. Add 2 to that last scenario and it crashes in "objc_msgSend() selector name: _bindingAdaptor". With multiple add windows it crashes in "objc_msgSend() selector name: close".

Actually, any combination of windows (i.e. 1,2,3 and prefs, about, or Inspector over the count of 4 will cause the _bindingAdaptor crash.

comment:8 Changed 10 years ago by jordan

This crasher has been pending in trac for a long time. Is it still crashing in the nightly builds?

comment:9 Changed 10 years ago by livings124

Yes.

Changed 9 years ago by dim-an

comment:10 Changed 9 years ago by dim-an

Hi,

seems that such patch solves the problem:

Index: macosx/StatsWindowController.m
===================================================================
--- macosx/StatsWindowController.m	(revision 13084)
+++ macosx/StatsWindowController.m	(working copy)
@@ -126,7 +126,7 @@
 {
     [fTimer invalidate];
     
-    [fStatsWindowInstance release];
+    [fStatsWindowInstance autorelease];
     fStatsWindowInstance = nil;
 }

comment:11 Changed 9 years ago by x190

Nice work, dim(brilliant)-an. worksforme! :-)

Crap, let's just say it's better. Unfortunately, I still got it to crash with Window 1, 2, and 3 plus Prefs window plus About window plus Inspector. Still crashes with Add windows.

Date/Time:       2011-11-12 23:24:24.554 -0700
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000014
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Application Specific Information:
objc_msgSend() selector name: _bindingAdaptor


Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libobjc.A.dylib               	0x00007fff83d40f0c objc_msgSend + 40
1   com.apple.AppKit              	0x00007fff86af995f -[NSWindow _close] + 229
2   com.apple.AppKit              	0x00007fff86f2098f -[NSWindow _batchClose] + 60
3   com.apple.AppKit              	0x00007fff8694c7b8 -[NSApplication makeWindowsPerform:inOrder:] + 173
4   com.apple.AppKit              	0x00007fff86aa4eda -[NSApplication sendAction:to:from:] + 95
5   com.apple.AppKit              	0x00007fff86ac946a -[NSMenuItem _corePerformAction] + 365
6   com.apple.AppKit              	0x00007fff86ac91d4 -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 121
7   com.apple.AppKit              	0x00007fff86aaee45 -[NSMenu performKeyEquivalent:] + 272
8   com.apple.AppKit              	0x00007fff86aadbed -[NSApplication _handleKeyEquivalent:] + 559
9   com.apple.AppKit              	0x00007fff8697e6b9 -[NSApplication sendEvent:] + 3630
10  com.apple.AppKit              	0x00007fff869156de -[NSApplication run] + 474
11  com.apple.AppKit              	0x00007fff8690e3b0 NSApplicationMain + 364
12  org.m0k.transmission          	0x00000001000011ba main + 154 (main.m:37)
13  org.m0k.transmission          	0x00000001000010f4 start + 52

...


Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x000000011722aa90  rcx: 0x00007fff700ce650  rdx: 0x00000000002f4180
  rdi: 0x000000011722aa90  rsi: 0x00007fff87054190  rbp: 0x00007fff5fbff300  rsp: 0x00007fff5fbff2d8
   r8: 0x0000000000000001   r9: 0x000000011766ca60  r10: 0x00000001176c0020  r11: 0x000000000000000a
  r12: 0x0000000000000002  r13: 0x0000000000000000  r14: 0x00007fff5fbff330  r15: 0x00007fff8707f71c
  rip: 0x00007fff83d40f0c  rfl: 0x0000000000010206  cr2: 0x000000000000001a

gdb:

[Session started at 2011-11-13 00:32:16 -0700.]
GNU gdb 6.3.50-20050815 (Apple version gdb-1515) (Sat Jan 15 08:33:48 UTC 2011)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin".tty /dev/ttys000
Loading program into debugger…
Program loaded.
run
[Switching to process 2125]
Running…
Program received signal:  “EXC_BAD_ACCESS”.
sharedlibrary apply-load-rules all
warning: .o file "/Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/build/Debug/libtransmission.a(natpmp.o)" more recent than executable timestamp in "/Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/build/Debug/Transmission.app/Contents/MacOS/Transmission"
warning: Could not open OSO file /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/build/Debug/libtransmission.a(natpmp.o) to scan for pubtypes for objfile /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/build/Debug/Transmission.app/Contents/MacOS/Transmission
(gdb) handle SIGPIPE nostop noprint
Signal        Stop	Print	Pass to program	Description
SIGPIPE       No	No	Yes		Broken pipe
(gdb) ^C
thread apply all bt full

Thread 12 (process 2125):
#0  0x00007fff80690932 in select$DARWIN_EXTSN ()
No symbol table info available.
#1  0x00007fff8449c468 in __CFSocketManager ()
No symbol table info available.
#2  0x00007fff80685fd6 in _pthread_start ()
No symbol table info available.
#3  0x00007fff80685e89 in thread_start ()
No symbol table info available.

Thread 11 (process 2125):
#0  0x00007fff8064cd7a in mach_msg_trap ()
No symbol table info available.
#1  0x00007fff8064d3ed in mach_msg ()
No symbol table info available.
#2  0x00007fff8447a902 in __CFRunLoopRun ()
No symbol table info available.
#3  0x00007fff84479d8f in CFRunLoopRunSpecific ()
No symbol table info available.
#4  0x00007fff813d114f in +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] ()
No symbol table info available.
#5  0x00007fff81352114 in __NSThread__main__ ()
No symbol table info available.
#6  0x00007fff80685fd6 in _pthread_start ()
No symbol table info available.
#7  0x00007fff80685e89 in thread_start ()
No symbol table info available.

Thread 9 (process 2125):
#0  0x00007fff80666a2a in __workq_kernreturn ()
No symbol table info available.
#1  0x00007fff80666e3c in _pthread_wqthread ()
No symbol table info available.
#2  0x00007fff80666aa5 in start_wqthread ()
No symbol table info available.

Thread 6 (process 2125):
#0  0x00007fff80665c0a in kevent ()
No symbol table info available.
#1  0x0000000100060399 in -[UKKQueue watcherThread:] (self=0x10198e830, _cmd=0x1001611c3, sender=0x0) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/macosx/UKKQueue/UKKQueue.m:350
	pool = (NSAutoreleasePool *) 0x101917d30
	localException = (NSException *) 0x0
	n = 0
	ev = {
  ident = 0, 
  filter = -5642, 
  flags = 408, 
  fflags = 1, 
  data = 4321765712, 
  udata = 0x7fff870f0b81
}
	timeout = {
  tv_sec = 5, 
  tv_nsec = 0
}
	theFD = 30
#2  0x00007fff81352114 in __NSThread__main__ ()
No symbol table info available.
#3  0x00007fff80685fd6 in _pthread_start ()
No symbol table info available.
#4  0x00007fff80685e89 in thread_start ()
No symbol table info available.

Thread 4 (process 2125):
#0  0x00007fff80690932 in select$DARWIN_EXTSN ()
No symbol table info available.
#1  0x00000001000fcda3 in tr_select (nfds=0, r_fd_set=0x1135e6df8, w_fd_set=0x1135e6d78, c_fd_set=0x1135e6cf8, t=0x1135e6e78) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/libtransmission/web.c:284
No locals.
#2  0x00000001000fc23b in tr_webThreadFunc (vsession=0x100560150) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/libtransmission/web.c:357
	usec = 1000000
	r_fd_set = {
  fds_bits = {0 <repeats 32 times>}
}
	max_fd = -1
	t = {
  tv_sec = 1, 
  tv_usec = 0
}
	w_fd_set = {
  fds_bits = {0 <repeats 32 times>}
}
	c_fd_set = {
  fds_bits = {0 <repeats 32 times>}
}
	msec = 1000
	msg = (CURLMsg *) 0x0
	mcode = CURLM_OK
	task = (struct tr_web_task *) 0x0
	unused = 0
	multi = (CURLM *) 0x101943bd0
	web = (struct tr_web *) 0x101941290
	taskCount = 0
	session = (tr_session *) 0x100560150
#3  0x00000001000c5aed in ThreadFunc (_t=0x100563770) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/libtransmission/platform.c:118
	t = (tr_thread *) 0x100563770
#4  0x00007fff80685fd6 in _pthread_start ()
No symbol table info available.
#5  0x00007fff80685e89 in thread_start ()
No symbol table info available.

Thread 3 (process 2125):
#0  0x00007fff80665c0a in kevent ()
No symbol table info available.
#1  0x000000010014671a in kq_dispatch (base=0x100560720, tv=0x1028dee30) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/third-party/libevent/kqueue.c:260
	changes = (struct kevent *) 0x100843400
	ts_p = (struct timespec *) 0x1028deda0
	i = 1
	kqop = (struct kqop *) 0x10055fde0
	events = (struct kevent *) 0x100868200
	ts = {
  tv_sec = 0, 
  tv_nsec = 269560000
}
	n_changes = 48
	res = 0
#2  0x00000001001319c9 in event_base_loop (base=0x100560720, flags=0) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/third-party/libevent/event.c:1537
	evsel = (const struct eventop *) 0x1001aace0
	tv = {
  tv_sec = 0, 
  tv_usec = 269560
}
	done = 0
	retval = 0
	tv_p = (struct timeval *) 0x1028dee30
	res = 0
#3  0x000000010013176a in event_base_dispatch (event_base=0x100560720) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/third-party/libevent/event.c:1382
No locals.
#4  0x00000001000d982d in libeventThreadFunc (veh=0x100560690) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/libtransmission/trevent.c:245
	base = (struct event_base *) 0x100560720
	eh = (tr_event_handle *) 0x100560690
#5  0x00000001000c5aed in ThreadFunc (_t=0x10055b9c0) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/libtransmission/platform.c:118
	t = (tr_thread *) 0x10055b9c0
#6  0x00007fff80685fd6 in _pthread_start ()
No symbol table info available.
#7  0x00007fff80685e89 in thread_start ()
No symbol table info available.

Thread 2 (process 2125):
#0  0x00007fff80665c0a in kevent ()
No symbol table info available.
#1  0x00007fff80667add in _dispatch_mgr_invoke ()
No symbol table info available.
#2  0x00007fff806677b4 in _dispatch_queue_invoke ()
No symbol table info available.
#3  0x00007fff806672de in _dispatch_worker_thread2 ()
No symbol table info available.
#4  0x00007fff80666c08 in _pthread_wqthread ()
No symbol table info available.
#5  0x00007fff80666aa5 in start_wqthread ()
No symbol table info available.

Thread 1 (process 2125):
#0  0x00007fff83d40f0c in objc_msgSend ()
No symbol table info available.
#1  0x00007fff86af995f in -[NSWindow _close] ()
No symbol table info available.
#2  0x00007fff86f2098f in -[NSWindow _batchClose] ()
No symbol table info available.
#3  0x00007fff8694c7b8 in -[NSApplication makeWindowsPerform:inOrder:] ()
No symbol table info available.
#4  0x00007fff86aa4eda in -[NSApplication sendAction:to:from:] ()
No symbol table info available.
#5  0x00007fff86ac946a in -[NSMenuItem _corePerformAction] ()
No symbol table info available.
#6  0x00007fff86ac91d4 in -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] ()
No symbol table info available.
#7  0x00007fff86aaee45 in -[NSMenu performKeyEquivalent:] ()
No symbol table info available.
#8  0x00007fff86aadbed in -[NSApplication _handleKeyEquivalent:] ()
No symbol table info available.
#9  0x00007fff8697e6b9 in -[NSApplication sendEvent:] ()
No symbol table info available.
#10 0x00007fff869156de in -[NSApplication run] ()
No symbol table info available.
#11 0x00007fff8690e3b0 in NSApplicationMain ()
No symbol table info available.
#12 0x00000001000011ba in main (argc=1, argv=0x7fff5fbff560) at /Users/sl/Read Me/Trans_Weather/Transmission/-Old_dmgs/PlayT_r11889_2.21/macosx/main.m:37
No locals.
(gdb) quit

The Debugger has exited with status 0.
Last edited 9 years ago by x190 (previous) (diff)

comment:12 Changed 9 years ago by x190

Further testing confirms that this patch (comment:10) is a major improvement. I also made the same change in AboutWindowController?.m. The only way it will crash now is if more than one "Add Window" is open.

AddWindowController?.m: Where's the problem in the following code for multiple windows?

- (void) cancelAdd: (id) sender
{
    [[self window] performClose: sender];
}

//only called on cancel
- (BOOL) windowShouldClose: (id) window
{
    [fTimer invalidate];
    fTimer = nil;
    
    [fFileController setTorrent: nil]; //avoid a crash when window tries to update
    
    [fController askOpenConfirmed: self add: NO];
    return YES;
}

Last edited 9 years ago by x190 (previous) (diff)

Changed 9 years ago by dim-an

comment:13 Changed 9 years ago by dim-an

Ok, looks like there was another similar problem in About Window. Please check the updated patch:

Index: macosx/StatsWindowController.m
===================================================================
--- macosx/StatsWindowController.m	(revision 13084)
+++ macosx/StatsWindowController.m	(working copy)
@@ -126,7 +126,7 @@
 {
     [fTimer invalidate];
     
-    [fStatsWindowInstance release];
+    [fStatsWindowInstance autorelease];
     fStatsWindowInstance = nil;
 }
 
Index: macosx/AboutWindowController.m
===================================================================
--- macosx/AboutWindowController.m	(revision 13084)
+++ macosx/AboutWindowController.m	(working copy)
@@ -65,7 +65,7 @@
 
 - (void) windowWillClose: (id) sender
 {
-	[fAboutBoxInstance release];
+	[fAboutBoxInstance autorelease];
     fAboutBoxInstance = nil;
 }

comment:14 Changed 9 years ago by dim-an

ok, looks like there were a couple of similar problem in other places. Please check the updated patch:

Index: macosx/StatsWindowController.m
===================================================================
--- macosx/StatsWindowController.m	(revision 13084)
+++ macosx/StatsWindowController.m	(working copy)
@@ -126,7 +126,7 @@
 {
     [fTimer invalidate];
     
-    [fStatsWindowInstance release];
+    [fStatsWindowInstance autorelease];
     fStatsWindowInstance = nil;
 }
 
Index: macosx/CreatorWindowController.m
===================================================================
--- macosx/CreatorWindowController.m	(revision 13084)
+++ macosx/CreatorWindowController.m	(working copy)
@@ -254,7 +254,7 @@
 
 - (void) windowWillClose: (NSNotification *) notification
 {
-    [self release];
+    [self autorelease];
 }
 
 - (void) cancelCreateProgress: (id) sender
Index: macosx/AboutWindowController.m
===================================================================
--- macosx/AboutWindowController.m	(revision 13084)
+++ macosx/AboutWindowController.m	(working copy)
@@ -65,7 +65,7 @@
 
 - (void) windowWillClose: (id) sender
 {
-	[fAboutBoxInstance release];
+	[fAboutBoxInstance autorelease];
     fAboutBoxInstance = nil;
 }

comment:15 Changed 9 years ago by dim-an

Ok, I hope that the patch below solves all the problems related to this ticket. Even multiple Add Window issue.

Index: StatsWindowController.m
===================================================================
--- StatsWindowController.m	(revision 13084)
+++ StatsWindowController.m	(working copy)
@@ -126,7 +126,7 @@
 {
     [fTimer invalidate];
     
-    [fStatsWindowInstance release];
+    [fStatsWindowInstance autorelease];
     fStatsWindowInstance = nil;
 }
 
Index: CreatorWindowController.m
===================================================================
--- CreatorWindowController.m	(revision 13084)
+++ CreatorWindowController.m	(working copy)
@@ -254,7 +254,7 @@
 
 - (void) windowWillClose: (NSNotification *) notification
 {
-    [self release];
+    [self autorelease];
 }
 
 - (void) cancelCreateProgress: (id) sender
Index: AboutWindowController.m
===================================================================
--- AboutWindowController.m	(revision 13084)
+++ AboutWindowController.m	(working copy)
@@ -65,7 +65,7 @@
 
 - (void) windowWillClose: (id) sender
 {
-	[fAboutBoxInstance release];
+    [fAboutBoxInstance autorelease];
     fAboutBoxInstance = nil;
 }
 
Index: Controller.m
===================================================================
--- Controller.m	(revision 13084)
+++ Controller.m	(working copy)
@@ -887,7 +887,7 @@
 - (void) askOpenConfirmed: (AddWindowController *) addController add: (BOOL) add
 {
     Torrent * torrent = [addController torrent];
-    [addController release];
+    [addController autorelease];
     
     if (add)
     {

PS. Could someone give me ability to post comments without moderation? Pleeese! I would really appreciate it. I'm not going to spam, I promise. :)

comment:16 Changed 9 years ago by x190

Yup, that did the trick! Thanks dim-an. :)

comment:17 Changed 9 years ago by livings124

Thanks dim-an. You should now be unmoderated.

comment:18 Changed 9 years ago by livings124

  • Milestone changed from None Set to 2.50
  • Resolution set to fixed
  • Status changed from new to closed

comment:19 Changed 9 years ago by x190

Did anybody check this out with magnet link windows open?

comment:20 Changed 9 years ago by livings124

Is it still crashing for you with magnet links?

comment:21 Changed 9 years ago by x190

Patch "Controller.m" Line 961

- (void) askOpenMagnetConfirmed: (AddMagnetWindowController *) addController add: (BOOL) add
{
    Torrent * torrent = [addController torrent];
    [addController '''auto'''release];

...
Last edited 9 years ago by x190 (previous) (diff)

comment:22 Changed 9 years ago by livings124

Ok, but is it still crashing for you with magnet links?

comment:23 Changed 9 years ago by x190

Controller.m Line 961: change release to autorelease. This fixes a crash while using option-command-w with open magnet link windows.

Last edited 9 years ago by x190 (previous) (diff)

comment:24 Changed 9 years ago by livings124

Note: See TracTickets for help on using tickets.